| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
ob::FrameSet Class Reference

`#include <Frame.hpp>`

Inheritance diagram for ob::FrameSet:

## Public Member Functions
| FrameSet (Frame &frame)
| ~FrameSet () noexcept
uint32_t | frameCount ()
| Get frame count. More...
std::shared_ptr< DepthFrame > | depthFrame ()
| Get depth frame. More...
std::shared_ptr< ColorFrame > | colorFrame ()
| Get color frame. More...
std::shared_ptr< IRFrame > | irFrame ()
| Get infrared frame. More...
std::shared_ptr< PointsFrame > | pointsFrame ()
| Get point cloud frame. More...
std::shared_ptr< Frame > | getFrame (OBFrameType frameType)
| Get frame by sensor type. More...
Public Member Functions inherited from ob::Frame
| Frame (std::unique_ptr< FrameImpl > impl)
| Frame (Frame &frame)
virtual | ~Frame () noexcept
virtual OBFrameType | type ()
| Get the type of frame. More...
virtual OBFormat | format ()
| Get the format of the frame. More...
virtual uint64_t | index ()
| Get the sequence number of the frame. More...
virtual void * | data ()
| Get frame data. More...
virtual uint32_t | dataSize ()
| Get the frame data size. More...
uint64_t | timeStamp ()
| Get the hardware timestamp of the frame. More...
uint64_t | timeStampUs ()
| Get the hardware timestamp of the frame us. More...
uint64_t | systemTimeStamp ()
| Get frame system timestamp. More...
template<typename T >
bool | is ()
| Check if the runtime type of the frame object is compatible with a given type. More...
template<typename T >
std::shared_ptr< T > | as ()
| Frame object type conversion. More...

## Friends
class | Pipeline
class | Filter

## Additional Inherited Members
Protected Attributes inherited from ob::Frame
std::unique_ptr< FrameImpl > | impl_

## Detailed Description

Definition at line 334 of file Frame.hpp.

## Constructor & Destructor Documentation

ob::FrameSet::FrameSet | ( | Frame & | frame | ) |

ob::FrameSet::~FrameSet | ( |  | ) |
| noexcept

## Member Function Documentation

uint32_t ob::FrameSet::frameCount | ( |  | ) |

Get frame count.

Returns
  uint32_t returns the number of frames

std::shared_ptr<DepthFrame> ob::FrameSet::depthFrame | ( |  | ) |

Get depth frame.

Returns
  std::shared_ptr<DepthFrame> returns the depth frame

std::shared_ptr<ColorFrame> ob::FrameSet::colorFrame | ( |  | ) |

Get color frame.

Returns
  std::shared_ptr<ColorFrame> returns the color frame

std::shared_ptr<IRFrame> ob::FrameSet::irFrame | ( |  | ) |

Get infrared frame.

Returns
  std::shared_ptr<IRFrame> returns infrared frame

std::shared_ptr<PointsFrame> ob::FrameSet::pointsFrame | ( |  | ) |

Get point cloud frame.

Returns
  std::shared_ptr<PointsFrame> returns the point cloud data frame

std::shared_ptr<Frame> ob::FrameSet::getFrame | ( | OBFrameType | frameType | ) |

Get frame by sensor type.

Parameters

  frameType | Type of sensor

Returns
  std::shared_ptr<Frame> returns the corresponding type of frame

## Friends And Related Function Documentation

friend class Pipeline
| friend

Definition at line 421 of file Frame.hpp.

friend class Filter
| friend

Definition at line 422 of file Frame.hpp.

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/Frame.hpp